Redmine - Defect #11428

LoadError while starting mongrel_cluster or thin with Redmine 2.0.3
2012-07-17 15:58 - Harish Varada

Status: Closed Start date:

Priority: High Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version: 2.0.3
Description

Hi All,

| upgraded my Redmine to the latest 2.0.3 version. All the configurations are done and Redmine is working fine with the basic
webrick server.

While, trying to run Redmine with either mongrel or thin, | was not able to start server and was facing LoadError repeatedly.

My configuration is :

Redmine 2.0.3, nginx, mongrel_cluster (1.0.5), thin (1.4.1)

My error with mongrel is :

[root@localhost redmine-2.0.3]# mongrel_rails cluster::start
Log::

** Writing PID file to tmp/pids/mongrel.5000.pid
** Daemonized, any open files are closed. Look at tmp/pids/mongrel.5000.pid and log/mongrel.5000.
log for info.
** Starting Mongrel listening at 127.0.0.1:5000
** Starting Rails with production environment...
** Mounting Rails at /redmine...
/usr/lib/ruby/gems/1.9.1/gems/activesupport-3.2.6/1lib/active_support/dependencies.rb:251:in “block
in require': iconv will be deprecated in the future, use String#encode instead.
/usr/lib/ruby/gems/1.9.1/gems/activesupport-3.2.6/1lib/active_support/dependencies.rb:251:in "requi
re': cannot load such file -- dispatcher (LoadError)

from /usr/lib/ruby/gems/1.9.1/gems/activesupport-3.2.6/1lib/active_support/dependencies.rb:
251:in “block in require'

from /usr/lib/ruby/gems/1.9.1/gems/activesupport-3.2.6/1lib/active_support/dependencies.rb:
236:in "~ load_dependency'

from /usr/lib/ruby/gems/1.9.1/gems/activesupport-3.2.6/1lib/active_support/dependencies.rb:
251:in “require'

from /usr/lib/ruby/gems/1.9.1/gems/mongrel-1.2.0.pre2/lib/mongrel/rails.rb:148:in “rails'

from /usr/lib/ruby/gems/1.9.1/gems/mongrel-1.2.0.pre2/bin/mongrel_rails:116:in “block (2 1
evels) 1in run'

from /usr/lib/ruby/gems/1.9.1/gems/mongrel-1.2.0.pre2/lib/mongrel/configurator.rb:149:1in
call'

from /usr/lib/ruby/gems/1.9.1/gems/mongrel-1.2.0.pre2/lib/mongrel/configurator.rb:149:1in
listener'

from /usr/lib/ruby/gems/1.9.1/gems/mongrel-1.2.0.pre2/bin/mongrel_rails:102:in “block in r
un'

from /usr/lib/ruby/gems/1.9.1/gems/mongrel-1.2.0.pre2/lib/mongrel/configurator.rb:50:in “c
all'

from /usr/lib/ruby/gems/1.9.1/gems/mongrel-1.2.0.pre2/lib/mongrel/configurator.rb:50:in "1
nitialize'

from /usr/lib/ruby/gems/1.9.1/gems/mongrel-1.2.0.pre2/bin/mongrel_rails:86:in "new'

from /usr/lib/ruby/gems/1.9.1/gems/mongrel-1. .pre2/bin/mongrel_rails:86:in " run'

N
o

from /usr/lib/ruby/gems/1.9.1/gems/mongrel-1.2.0.pre2/lib/mongrel/command.rb:210:in "run'

2025-06-22 1/2




from /usr/lib/ruby/gems/1.9.1/gems/mongrel-1.2.0.pre2/bin/mongrel_rails:282:in "<top (requ
ired)>"

from /usr/bin/mongrel_rails:23:in "~ load'

from /usr/bin/mongrel_rails:23:in "~ <main>'

My error with thin is :

[root@localhost redmine-2.0.3]# thin start -s3 -p 5555 -e production
Starting server on 0.0.0.0:5555
Starting server on 0.0.0.0:5556
Starting server on 0.0.0.0:5557

But Log's are:

>> Writing PID to tmp/pids/thin.5555.pid

>> Using rack adapter
/usr/lib/ruby/gems/1.9.1/gems/activesupport-3.2.6/1lib/active_support/dependencies.rb:251:in “block
in require': iconv will be deprecated in the future, use String#encode instead.

>> Thin web server (vl1.4.1 codename Chromeo)

>> Maximum connections set to 1024

>> Listening on 0.0.0.0:5555, CTRL+C to stop

>> Exiting!

/usr/lib/ruby/gems/1.9.1/gems/thin-1.4.1/1ib/thin/backends/tcp_server.rb:16:in "connect': cannot 1

oad such file —-- thin/connection (LoadError)

from /usr/lib/ruby/gems/1.9.1/gems/thin-1.4.1/1ib/thin/backends/base.rb:55:in "block in st
art'

from /usr/lib/ruby/gems/1.9.1/gems/eventmachine-0.12.10/1ib/eventmachine.rb:256:in “call’

from /usr/lib/ruby/gems/1.9.1/gems/eventmachine-0.12.10/1ib/eventmachine.rb:256:in "run_ma
chine'

from /usr/lib/ruby/gems/1.9.1/gems/eventmachine-0.12.10/1lib/eventmachine.rb:256:in "run'

from /usr/lib/ruby/gems/1.9.1/gems/thin-1.4.1/1ib/thin/backends/base.rb:63:in 'start'

from /usr/lib/ruby/gems/1.9.1/gems/thin-1.4.1/1ib/thin/server.rb:159:in "start'

from /usr/lib/ruby/gems/1.9.1/gems/thin-1.4.1/1ib/thin/controllers/controller.rb:86:in st
art'

from /usr/lib/ruby/gems/1.9.1/gems/thin-1.4.1/1ib/thin/runner.rb:185:in " run_command'
from /usr/lib/ruby/gems/1.9.1/gems/thin-1.4.1/1ib/thin/runner.rb:151:in “run!'

from /usr/lib/ruby/gems/1.9.1/gems/thin-1.4.1/bin/thin:6:in “<top (required)>'

from /usr/bin/thin:23:in "~ load'

from /usr/bin/thin:23:in "~ <main>'

Please help me resolving this.

Thanks in advance.

History

#1 - 2012-07-18 08:13 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Invalid

Sorry, no support request in the issue tracker.

#2 - 2012-07-18 08:16 - Harish Varada

Jean-Philippe,
Please suggest some better place to resolve this as I'm getting stuck with this error.. :(

Jean-Philippe Lang wrote:

Sorry, no support request in the issue tracker.

#3 - 2012-07-19 06:07 - Jean-Philippe Lang

I don't know, the error looks like a thin issue rather than a Redmine issue.
